#include <iostream>
using namespace std;
#include<cmath>
#include<algorithm>

int main(int argc, char** argv)
 {
 	int p,q,r,L,R;
 	cin>>p>>q>>r>>L>>R;
 	int s=0;
 	for(int i=L;i<=R;i++)
	 {
	 	if((i%p==0||i%q==0||i%r==0)&&(i!=p+q&&i!=p+r&&i!=q+r))
		 {
		 	s++;
		 }
	 }
	 cout<<s;
}